org.eclipse.graphiti.features

## Interface IPasteFeature

All Superinterfaces:
  IDescription, IFeature, IFeatureProviderHolder, IName

All Known Implementing Classes:
  AbstractPasteFeature

    public interface IPasteFeature
    extends IFeature

The Interface IPasteFeature.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `canPaste(IPasteContext context)` Can paste.
`void` `paste(IPasteContext context)` Paste.

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canExecute, canUndo, execute, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.IName

`getName`

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Method Detail

#### paste

    void paste(IPasteContext context)

Paste.

Parameters:
  `context` - the context

#### canPaste

    boolean canPaste(IPasteContext context)

Can paste.

Parameters:
  `context` - the context
Returns:
  true, if successful